% interpolation.m
f = @(x) 1./(1+25*x.^2); 
delta = 0.01; X = (-1:delta:1); Y = f(X); n = 11; 
% equidistant
x_eq = zeros(n+1,1); y_eq = zeros(n+1,1); dx = 2/n;
for k = 1:n+1
    x_eq(k) = -1+(k-1)*dx; y_eq(k) = f(x_eq(k));     
end
p_eq = polyfit(x_eq,y_eq,n);
plot(X,Y,x_eq,y_eq,'o',X,polyval(p_eq,X)); title('equidistant'); 
pause
% chebyshev
x_ch= zeros(n+1,1); y_ch = zeros(n+1,1); dtheta = pi/(2*(n+1));
for k = 1:n+1
    x_ch(k) = cos((2*k-1)*dtheta); y_ch(k) = f(x_ch(k));
end
p_ch = polyfit(x_ch,y_ch,n);
plot(X,Y,x_ch,y_ch,'x',X,polyval(p_ch,X)); title('chebyshev')


